
Foreman - Bug #2778

Search in /reports without keyword make request never end on mysql

07/12/2013 04:05 AM - Romain Vrignaud

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Search   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Search like that :

/reports?utf8=✓&search=neverendingquery (Do not try in production)

I had to KILL the query in order to get foreman working again.

The query produced is :

SELECT  DISTINCT `reports`.id FROM `reports` LEFT OUTER JOIN `hosts` ON `hosts`.`id` = `reports`.`

host_id` AND `hosts`.`type` IN ('Host::Managed') LEFT OUTER JOIN `hosts` `hosts_reports_join` ON `

hosts_reports_join`.`id` = `reports`.`host_id` AND `hosts_reports_join`.`type` IN ('Host::Managed'

) LEFT OUTER JOIN `environments` ON `environments`.`id` = `hosts_reports_join`.`environment_id` LE

FT OUTER JOIN `logs` ON `logs`.`report_id` = `reports`.`id` LEFT OUTER JOIN `messages` ON `message

s`.`id` = `logs`.`message_id` LEFT OUTER JOIN `logs` `logs_reports_join` ON `logs_reports_join`.`r

eport_id` = `reports`.`id` LEFT OUTER JOIN `sources` ON `sources`.`id` = `logs_reports_join`.`sour

ce_id` WHERE ((`hosts`.`name` LIKE '%neverendingquery%' OR `environments`.`name` LIKE '%neverendin

gquery%' OR `messages`.`value` LIKE '%neverendingquery%' OR `sources`.`value` LIKE '%neverendingqu

ery%')) ORDER BY `reports`.`reported_at` DESC LIMIT 20 OFFSET 0

 mysql-server 5.5 seems to take A LOT of time to answer (more than 30 minutes in production for me).

Gem used : mysql (2.9.1) and mysql2 (0.3.11)

database.yml :

production:

adapter: mysql

database: foreman

host: localhost

port:

username: foreman

password: xxx

encoding: utf8

Related issues:

Has duplicate Foreman - Bug #13624: entering fulltext in filter report field ... Duplicate 02/09/2016

Is duplicate of Foreman - Bug #10053: Table lock hangs all processes Closed 04/07/2015

History

#1 - 07/17/2013 12:27 PM - Dominic Cleal

- Category changed from Database to Search

#2 - 05/29/2014 01:48 PM - Alex Leonhardt

We are having these same issues and significantly impact production performance by now. We're looking into hacking either the template to not

enable users to use kw search or better try to fix how the SQL will be generated.

#3 - 02/09/2016 10:28 AM - Dominic Cleal

- Has duplicate Bug #13624: entering fulltext in filter report field can lead to database crash added
#4 - 04/06/2016 07:03 AM - Dominic Cleal

- Is duplicate of Bug #10053: Table lock hangs all processes added

#5 - 04/06/2016 07:03 AM - Dominic Cleal

- Status changed from New to Duplicate

This is now being handled with a pull request under ticket #10053.  Thanks for the report.
